function [V,p] =  hyper(Q);
% HYPER  Fits a hyperplane of dimension s <n
%        to a set of given points Q(i,:) belonging to R^n. 
%        The hyperplane has the equation
%        X = p + V(:,1:s)*tau (Parameter Form) or
%        is defined as solution of the linear 
%        equations  V(:,s+1:n)'*(y - p)=0 (Normal form)
m = max(size(Q));
p = sum(Q)'/m;
Qt = Q - ones(size(Q))*diag(p);
[U S V] = svd(Qt, 0);

